Bug 809214 - dbus rejected messages from systemd in /var/log/messages [NEEDINFO]
dbus rejected messages from systemd in /var/log/messages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 14:49 EDT by Jonathan Kamens
Modified: 2014-04-08 18:06 EDT (History)
25 users (show)

See Also:
Fixed In Version: systemd-201-2.fc18.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 22:58:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jaffe.mark: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2012-04-02 14:49:40 EDT
Not sure what to make of these, but they look a little ominous. In my /var/log/messages:

Apr  1 15:01:17 jik2 dbus-daemon[834]: dbus[834]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.2" (uid=0 pid=826 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.200" (uid=3009 pid=5417 comm="gnome-session ")
Apr  1 15:01:17 jik2 dbus[834]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.2" (uid=0 pid=826 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.200" (uid=3009 pid=5417 comm="gnome-session ")
Comment 1 Robert Hoekstra 2012-06-11 10:21:13 EDT
Jun 11 15:57:54 pc20209179 dbus-daemon[1021]: dbus[1021]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=960 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.44" (uid=1000 pid=1513 comm="gnome-session ")
Jun 11 15:57:54 pc20209179 dbus[1021]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=960 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.44" (uid=1000 pid=1513 comm="gnome-session ")
Comment 2 udo 2012-07-14 03:03:26 EDT
Same here:
Jul 14 05:46:49 surfplank2 dbus-daemon[3238]: dbus[3238]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=3201 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.37" (uid=500 pid=4458 comm="gnome-session ")
Jul 14 05:46:49 surfplank2 dbus[3238]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=3201 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.37" (uid=500 pid=4458 comm="gnome-session ")

What are they?
Why does this happen? 
Why are the messages in /var/log/messages?
Isn't this a defect somewhere?

The overall effect is that of spam.
Comment 3 udo 2012-07-14 05:47:43 EDT
Are we sure dbus is behaving correctly?
Comment 4 Dominique Brazziel 2012-09-09 12:24:53 EDT
Bump.

Sep  8 12:18:52 Fedora dbus-daemon[654]: dbus[654]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=610
+comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.81" (uid=1000 pid=5333
+comm="gnome-session ")
Sep  8 12:18:52 Fedora dbus[654]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=610
+comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.81" (uid=1000 pid=5333
+comm="gnome-session ")
Comment 5 Peter Larsen 2012-09-10 14:35:04 EDT
Seeing the same problem (F17):

Sep 10 14:10:09 plarsen dbus-daemon[1030]: dbus[1030]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.2" (uid=0 pid=963 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.641" (uid=15963 pid=18760 comm="gnome-session ")
Sep 10 14:10:09 plarsen dbus[1030]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.2" (uid=0 pid=963 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.641" (uid=15963 pid=18760 comm="gnome-session ")
Sep 10 14:25:20 plarsen dbus-daemon[1030]: dbus[1030]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.2" (uid=0 pid=963 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.641" (uid=15963 pid=18760 comm="gnome-session ")
Sep 10 14:25:20 plarsen dbus[1030]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.2" (uid=0 pid=963 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.641" (uid=15963 pid=18760 comm="gnome-session ")
Comment 6 Lennart Poettering 2012-09-14 11:06:11 EDT
Hmm, for some reason it appears that some method return messages are not permitted to be delivered to gnome-session.

Most likely you have some dbus policy file installed that is borked and breaks things for all packages. THis is probably not systemd's htough...
Comment 7 udo 2012-09-14 11:15:27 EDT
I never ever consciously edited a dbus policy file.
(at most I deleted certain dbus files to avoid stuff being started)
Comment 8 Lennart Poettering 2012-09-14 11:50:36 EDT
Usually some package installs one that is broken. Has happened multiple times before.
Comment 9 William Henry 2012-09-25 18:21:07 EDT
Me too. It's been happening on and off several times (>4) since I installed F17 and I never edited any dbus policy.  Causes a reboot- ugh!:

Sep 25 13:39:25 xxxxx dbus-daemon[859]: dbus[859]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.3" (uid=0 pid=845 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.36" (uid=1000 pid=3746 comm="gnome-session ")
Sep 25 13:39:25 xxxxx dbus[859]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.3" (uid=0 pid=845 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.36" (uid=1000 pid=3746 comm="gnome-session ")
Comment 10 udo 2012-09-27 08:09:35 EDT
Lennart, any way to find out what package to confirm your hypothesis?
We need a fix to clean up the logs considerably.
Comment 11 Dominique Brazziel 2012-10-05 09:23:09 EDT
Configuration files specifying policy are placed in '/etc/dbus-1'.  Wouldn't the offending policy be in a file in there somewhere? (he asked tentatively, knowing the cryptic, inscrutable nature of DBUS - one may as well ask "When the divining rod points down that means water is underneath that spot...right?" or "This tea leaf configuration is good...right?")
Comment 12 udo 2012-10-05 11:45:45 EDT
Can I read from the info in /var/log/messages which daemon/config file generated the spam in /var/log/messages?
Or what else can I make from comment 11?

I am having a short holiday right now, please help me so that we can test fixes.
Comment 13 Dominique Brazziel 2012-10-05 12:22:32 EDT
Before a fix can be formulated the failing component(s) must be isolated.  All we can know from the error message is the source (systemd-logind) and destination (gnome-session) of the rejected dbus message(s).  Looking for policy definitions (i.e. allow/deny from, etc.) pertaining to either of those two components yields nothing: 

[12:12:22]user@Fedora:/etc/dbus-1$grep -r gnome-session *
[12:12:24]user@Fedora:/etc/dbus-1$ echo $?
1
[12:17:11]user@Fedora:/etc/dbus-1$ grep -r systemd-logind *
[12:18:24]user@Fedora:/etc/dbus-1$ echo $?
1
Comment 14 udo 2012-10-05 12:29:29 EDT
Same here on three boxes: one i686 and headless and no xorg. 2 x86_64.
Comment 15 Dominique Brazziel 2012-10-05 13:12:06 EDT
Looking further, perhaps gnome-session invoked one of the methods in system-logind, i.e., "SetIdleHint".  Maybe the _absence_ of specific policy governing the method return messages triggers the error?  From 'gsm-systemd.c':


gsm_systemd_set_session_idle (GsmSystem *system,
                              gboolean   is_idle)
{
        GsmSystemd *manager = GSM_SYSTEMD (system);
        GDBusConnection *bus;

        g_debug ("Updating systemd idle status: %d", is_idle);
        bus = g_dbus_proxy_get_connection (manager->priv->sd_proxy);
        g_dbus_connection_call (bus,
                                SD_NAME,
                                manager->priv->session_path,
                                SD_SESSION_INTERFACE,
                                "SetIdleHint",
                                g_variant_new ("(b)", is_idle),
                                G_VARIANT_TYPE_BOOLEAN,
                                0,
                                G_MAXINT,
                                NULL, NULL, NULL);

I guess this would drive the following from 'logind-session-dbus.c':

else if (dbus_message_is_method_call(message, "org.freedesktop.login1.Session", "SetIdleHint")) {
                dbus_bool_t b;
                unsigned long ul;

                if (!dbus_message_get_args(
                                    message,
                                    &error,
                                    DBUS_TYPE_BOOLEAN, &b,
                                    DBUS_TYPE_INVALID))
                        return bus_send_error_reply(connection, message, &error, -EINVAL);

                ul = dbus_bus_get_unix_user(connection, dbus_message_get_sender(message), &error);
                if (ul == (unsigned long) -1)
                        return bus_send_error_reply(connection, message, &error, -EIO);

                if (ul != 0 && ul != s->user->uid)
                        return bus_send_error_reply(connection, message, NULL, -EPERM);

                session_set_idle_hint(s, b);

                reply = dbus_message_new_method_return(message); <---                if (!reply)
                        goto oom;

        } else if (dbus_message_is_method_call(message, "org.freedesktop.login1.Session", "Kill")) {

In the case of the 'SetIdleHint' above in the gnome-session-maanger, I don't know if it expects a return message.
Comment 16 Lennart Poettering 2012-10-12 16:39:04 EDT
(In reply to comment #15)
> Looking further, perhaps gnome-session invoked one of the methods in
> system-logind, i.e., "SetIdleHint".  Maybe the _absence_ of specific policy
> governing the method return messages triggers the error?  From
> 'gsm-systemd.c':

SetIdleHint does have a policy defined:

$ grep SetIdleHint /etc/dbus-1/system.d/*
/etc/dbus-1/system.d/org.freedesktop.login1.conf:                       send_member="SetIdleHint"/>
Comment 17 Lennart Poettering 2012-10-12 16:40:36 EDT
(In reply to comment #10)
> Lennart, any way to find out what package to confirm your hypothesis?
> We need a fix to clean up the logs considerably.

The best way is probably to move away the policy files from /etc/dbus-1/systemd.d/ one-by-one and check when the error goes away. This of course, might break other things, so make sure you keep them around, at hand.
Comment 18 Martin Dengler 2012-10-29 10:20:00 EDT
It's definitely happening for me when the screen blanks according to the timeout set in System Settings --> Brightness and Lock, which appears to be controlled by the dconf key /org/gnome/desktop/session/idle-delay.

Setting that stupidly low makes things less painful to reproduce:

dconf write /org/gnome/desktop/session/idle-delay 5
tail -f ~/.xsession-errors

I tried moving both /etc/dbus-1/system.d/org.freedesktop.login1.conf and /etc/dbus-1/system.d/ConsoleKit.conf away via something like:

mv /etc/dbus-1/system.d/ConsoleKit.conf /root ; sleep 180 ; mv /root/ConsoleKit.conf /etc/dbus-1/system.d/

...but neither seemed to silenced the warnings (I did see dbus-daemon saying "Reloaded configuration", so I take that to mean what was requested did happen).
Comment 19 Lennart Poettering 2013-01-14 16:18:12 EST
Does this issue still exist on more recent F18?
Comment 20 Jason Burgess 2013-01-15 23:03:54 EST
FC18 - from FTP login with Proftpd:

Jan 15 23:53:28 jacknife2 systemd-logind[589]: New session 1937 of user seccam.
Jan 15 23:53:28 jacknife2 dbus-daemon[592]: dbus[592]: [system] Rejected send message, 2 matched rules; type="meth
od_call", sender=":1.3878" (uid=505 pid=12988 comm="proftpd: seccam - 172.16.0.110: IDLE") interface="org.freedesk
top.login1.Manager" member="ReleaseSession" error name="(unset)" requested_reply="0" destination="org.freedesktop.
login1" (uid=0 pid=589 comm="/usr/lib/systemd/systemd-logind ")
Jan 15 23:53:28 jacknife2 dbus[592]: [system] Rejected send message, 2 matched rules; type="method_call", sender="
:1.3878" (uid=505 pid=12988 comm="proftpd: seccam - 172.16.0.110: IDLE") interface="org.freedesktop.login1.Manager
" member="ReleaseSession" error name="(unset)" requested_reply="0" destination="org.freedesktop.login1" (uid=0 pid
=589 comm="/usr/lib/systemd/systemd-logind ")
Jan 15 23:53:28 jacknife2 systemd-logind[589]: Removed session 1937.
Comment 21 Michal Schmidt 2013-01-16 08:13:01 EST
This may be fixed by:
http://cgit.freedesktop.org/systemd/systemd/commit/?id=1a37b9b9043ef83e9900e460a9a1fccced3acf89
It is included in systemd-197, which is currently in updates-testing for F18.
Comment 22 jro 2013-01-23 13:14:06 EST
F18 with cinnamon as the only desktop env:

systemd-libs-197-1.fc18.1.x86_64
systemd-197-1.fc18.1.x86_64
systemd-sysv-197-1.fc18.1.x86_64


Jan 23 12:01:57 jmobe dbus[602]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=598 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.49" (uid=1000 pid=1128 comm="/usr/bin/gnome-session --session=cinnamon ")
Comment 23 Michal Schmidt 2013-01-24 08:39:28 EST
OK, there seem to be more occurrences of dbus_connection_send(..., reply, ...) that need to be converted to bus_maybe_send_reply(...).
Comment 24 Steve Adams 2013-02-06 10:12:44 EST
Still occurring for me in F18:

kernel-3.7.5-201.fc18.x86_64
systemd-197-1.fc18.1.x86_64
systemd-libs-197-1.fc18.1.i686
systemd-sysv-197-1.fc18.1.x86_64
systemd-analyze-197-1.fc18.1.x86_64
systemd-libs-197-1.fc18.1.x86_64

Feb  6 10:34:25 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=785 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.54" (uid=1000 pid=2073 comm="gnome-session ")
Feb  6 10:34:25 localhost dbus[801]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=785 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.54" (uid=1000 pid=2073 comm="gnome-session ")
Feb  6 10:34:52 localhost dbus-daemon[801]: ** Message: No devices in use, exit
Feb  6 10:43:05 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.71" (uid=1000 pid=2309 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:05 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.71" (uid=1000 pid=2309 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:15 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=785 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.54" (uid=1000 pid=2073 comm="gnome-session ")
Feb  6 10:43:15 localhost dbus[801]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.2" (uid=0 pid=785 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.54" (uid=1000 pid=2073 comm="gnome-session ")
Feb  6 10:43:35 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.58" (uid=1000 pid=2280 comm="/usr/bin/pulseaudio --start ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.71" (uid=1000 pid=2309 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Feb  6 10:43:35 localhost dbus-daemon[801]: dbus[801]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.71" (uid=1000 pid=2309 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=732 comm="/usr/sbin/bluetoothd -n ")
Comment 25 Michal Schmidt 2013-02-06 10:55:29 EST
In comment #23 I have already acknowledged the need for more fixes in this area. Please do not paste any more logs at this point. Or, if you really want to, use Bugzilla attachments. Thanks.
Comment 26 Steve Adams 2013-02-06 12:31:37 EST
Apologies for the 'me too' logs.

Not sure if this helps, but I temporarily relaxed all policies for org.bluez.* in /etc/dbus-1/system.d/bluetooth.conf and I now no longer see any org.freedesktop.DBus.Error.UnknownMethod messages.
Comment 27 Michal Schmidt 2013-03-19 08:26:06 EDT
Upstream received the follow-up fix to suppress more of the "Rejected" messages:

http://cgit.freedesktop.org/systemd/systemd/commit/?id=c6a818c82035da91e7987920510f0dda61d8781a
Comment 28 Fedora Update System 2013-04-10 16:13:53 EDT
systemd-201-2.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-201-2.fc18.1
Comment 29 Fedora Update System 2013-04-11 19:26:57 EDT
Package systemd-201-2.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.2
then log in and leave karma (feedback).
Comment 30 Jason Burgess 2013-04-11 22:14:14 EDT
Still happening:

Apr 11 23:12:28 localhost dbus[594]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.174" (uid=505 pid=6971 comm="proftpd: ftpuser- 192.168.1.10: IDLE") interface="org.freedesktop.login1.Manager" member="ReleaseSession" error name="(unset)" requested_reply="0" destination="org.freedesktop.login1" (uid=0 pid=578 comm="/usr/lib/systemd/systemd-logind ")


systemd-libs-201-2.fc18.2.x86_64
systemd-201-2.fc18.2.x86_64
systemd-sysv-201-2.fc18.2.x86_64
Comment 31 Michal Schmidt 2013-04-12 17:51:51 EDT
Jason, the message you're seeing is due to a bug in proftpd. I have filed bug 951728 for it.
Comment 32 Jason Burgess 2013-04-12 20:30:18 EDT
OK, thanks!
Comment 33 Fedora Update System 2013-04-15 20:01:30 EDT
Package systemd-201-2.fc18.4:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.4
then log in and leave karma (feedback).
Comment 34 Jason Burgess 2013-04-16 12:24:12 EDT
Quick question:

yum update --enablerepo=updates-testing systemd-201-2.fc18.4       
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Determining fastest mirrors
 * fedora: mirror.us.as6453.net
 * livna: rpm.livna.org
 * rpmfusion-free: mirror.nexcess.net
 * rpmfusion-free-updates: mirror.nexcess.net
 * rpmfusion-nonfree: mirror.nexcess.net
 * rpmfusion-nonfree-updates: mirror.nexcess.net
 * updates: fedora.mirrors.tds.net
 * updates-testing: mirror.us.as6453.net
No Match for argument: systemd-201-2.fc18.4
No package systemd-201-2.fc18.4 available.
No Packages marked for Update

Why no match for the package? I can download the RPMs manually... but via yum it seems to be not found...
Comment 35 Michal Schmidt 2013-04-17 04:30:20 EDT
It seems Bodhi had a hiccup. systemd-201-2.fc18.4 is currently tagged only as "f18-updates-candidate". There's going to be a .5 soon anyway.
Comment 36 Fedora Update System 2013-04-17 22:39:19 EDT
Package systemd-201-2.fc18.5:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.5
then log in and leave karma (feedback).
Comment 37 udo 2013-04-17 23:05:28 EDT
What about Fedora 17?
Comment 38 Michal Schmidt 2013-04-18 08:06:23 EDT
Not much effort will be spent on systemd in Fedora 17 at this point. Only fixes for serious bugs can be expected. This bug just causes minor log spam. I am not going to backport the fix.
Comment 39 udo 2013-04-18 09:07:42 EDT
Thanks for confirming the Fedora support.
Comment 40 Michal Schmidt 2013-04-18 09:18:17 EDT
From the Fedora Updates Policy (https://fedoraproject.org/wiki/Updates_Policy):

  Package maintainers SHOULD:
    Push only major bug fixes and security fixes to release(n-1). 

F18 is the current stable release (N), F17 is the previous release (N-1).
This bug is not "major" by any measure.
Comment 41 udo 2013-04-18 09:34:43 EDT
Readable logfiles are no priority.
Please reread the Fedora 18 reviews.
Please find any user side requiremnets in the policy to upgarde or hints oon how to influence  the distro in any reasonable way.
Thanks for your cooperation.
Comment 42 Michal Schmidt 2013-04-18 10:17:19 EDT
(In reply to comment #41)
> Readable logfiles are no priority.

Is that meant as a statement of a fact, or as a rant?
Besides, what constitutes a "readable" logfile is subjective. If the few "Rejected send" messages make the logs totally unreadable for you, feel free to filter them away using rsyslog rules.

> Please reread the Fedora 18 reviews.

How are they relevant to this bug?
For some reason they were mostly about how confusing the Anaconda disk partitioning screen was. I did not see a single review that mentioned log messages from dbus-daemon.

> Please find any user side requiremnets in the policy to upgarde or hints oon
> how to influence  the distro in any reasonable way.

I find it difficult to parse this sentence. If you are insinuating that I am not doing enough to improve Fedora, then the best I can do is to ignore you.
Comment 43 Fedora Update System 2013-05-07 09:41:10 EDT
systemd-201-2.fc18.6 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
Comment 44 Fedora Update System 2013-05-09 06:03:18 EDT
Package systemd-201-2.fc18.6:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
then log in and leave karma (feedback).
Comment 45 Fedora Update System 2013-05-15 22:58:55 EDT
systemd-201-2.fc18.6 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 46 Mark Jaffe 2014-02-13 20:25:09 EST
I started experiencing this issue while still running fc18, and now that my fc20 is FINALLY (don't get me started) getting up to a desktop, I see it still. I'm running yum update now.
Comment 47 Sergio Monteiro Basto 2014-04-08 18:06:13 EDT
systemctl reload dbus

fix my problems (dbus-daemon rejected send messages ... ) in a vm upgrading since F15 (at least)

Note You need to log in before you can comment on or make changes to this bug.